# $Revision: 1.20 $, $Date: 2001/07/23 02:29:03 $
Summary:	Marc's favorite clock
Summary(de):	Marcs Lieblingsuhr
Summary(fr):	Marc's favorite clock
Summary(pl):	Ulubiony zegar Marca
Summary(tr):	Marc'n gzde saati
Name:		xdaliclock
Version:	2.18
Release:	8
License:	MIT
Group:		X11/Applications
Group(de):	X11/Applikationen
Group(pl):	X11/Aplikacje
Source0:	http://www.jwz.org/xdaliclock/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-shape-cycle.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-time.patch
Icon:		xdaliclock.xpm
URL:		http://www.jwz.org/xdaliclock/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define 	_mandir 	%{_prefix}/man

%description
The xdaliclock program displays a digital clock; when a digit changes,
it "melts" into its new shape.

It can display in 12 or 24 hour modes, and displays the date when a
mouse button is held down. It has two large fonts built into it, but
it can animate other fonts.

%description -l pl
Program xdaliclock wywietla cyfrowy zegar, w ktrym zmieniajce si
cyfry pynnie przechodz jedna w drug.

Moe on wyswietla czas w ukadzie 12 i 24 godziny. Wywietla on take
dat kiedy przycinie si przycisk myszki majc kursor nad okienkiem
zegarka. W program s wbudowane dwa zestawy duych fontw ale moe on
wywietla inne czcionki.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd X11
CFLAGS="%{rpmcflags} -D_GNU_SOURCE" 
autoconf
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/ \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_applnkdir}/Amusements}

cd X11
%{__make} install install-man DESTDIR=$RPM_BUILD_ROOT

install XDaliClock.ad $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/XDaliClock
install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Amusements
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_libdir}/X11/app-defaults/XDaliClock
%{_mandir}/man1/*
%{_applnkdir}/Amusements/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xdaliclock.spec,v $
Revision 1.20  2001/07/23 02:29:03  kloczek
- release 8,
- merge time patch from rawhide,
- regenerate ac files (spec is ac 2.5x ready).

Revision 1.19  2001/01/30 04:59:54  kloczek
- typos in %install.

Revision 1.18  2001/01/30 04:56:53  kloczek
- release 6,
- added icons (based on MDK resources) and desktop file (based on Conectiva
  wmconfig) for xdaliclock,
- spec adapterized.

Revision 1.17  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.16  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.15  2000/06/09 07:24:14  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.13  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:15  baggins
- translated kloczkish into english

Revision 1.11  2000/03/06 03:05:59  kloczek
- updated to 2.18,
- updated Source url and added URL.

Revision 1.10  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.9  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.8  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl> 
  [2.14-1]
- package is FHS 2.0 compliant,
- spec file based on RH version; modified for PLD use by me 
  and Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>.
